# Similar as TBPLaSMathLib.cmake, but uses gen_cmake.py to resolve dependency
# and conflicts.

execute_process(
    COMMAND ${PROJECT_SOURCE_DIR}/tools/gen_cmake.py
        --eigen-backend ${EIGEN_BACKEND}
        --diag-backend ${DIAG_BACKEND}
        --tbpm-backend ${TBPM_BACKEND}
        --with-feast ${WITH_FEAST}
        --output ${PROJECT_SOURCE_DIR}/build/mathlib.cmake
    ECHO_ERROR_VARIABLE
    COMMAND_ERROR_IS_FATAL ANY
)
include(${PROJECT_SOURCE_DIR}/build/mathlib.cmake)
